# stdio.c File Reference

`#include <stdarg.h>`
`#include <stdio.h>`
`#include <psptypes.h>`
`#include <pspiofilemgr.h>`
`#include <string.h>`
`#include <limits.h>`
`#include <errno.h>`

Include dependency graph for stdio.c:

## Data Structures

struct | __psplibc_FILE

## Defines

#define | STD_IOBUF_TYPE_NONE 0
#define | STD_IOBUF_TYPE_GE 1
#define | STD_IOBUF_TYPE_MS 2
#define | STD_IOBUF_TYPE_UMD 4
#define | STD_IOBUF_TYPE_HOST 8
#define | STD_IOBUF_TYPE_STDOUTHOST 16
#define | _NFILE 16
#define | _IOEOF 0x0020
#define | _IOERR 0x0040
#define | _IOREAD 0x0001
#define | _IOWRT 0x0002
#define | _IORW 0x0200
#define | _IOMYBUF 0x0010
#define | LOCAL_FILE(f) ((__psplibc_FILE *) (f))

## Functions

int | isdigit (int)

## Variables

FILE | __iob [_NFILE]

## Define Documentation

#define _IOEOF 0x0020

#define _IOERR 0x0040

#define _IOMYBUF 0x0010

#define _IOREAD 0x0001

#define _IORW 0x0200

#define _IOWRT 0x0002

#define _NFILE 16

#define LOCAL_FILE | ( | f |  | ) | ((__psplibc_FILE *) (f))

#define STD_IOBUF_TYPE_GE 1

#define STD_IOBUF_TYPE_HOST 8

#define STD_IOBUF_TYPE_MS 2

#define STD_IOBUF_TYPE_NONE 0

#define STD_IOBUF_TYPE_STDOUTHOST 16

#define STD_IOBUF_TYPE_UMD 4

## Function Documentation

int isdigit | ( | int |  | ) |

## Variable Documentation

FILE __iob[_NFILE]